Drop append domain names setting
Status: Closed   

Priority: Normal   

Assignee: Matěj Mudra   

Category: Host creation   

Target version:    

Difficulty: easy Fixed in Releases: 3.10.0, 3.9.0

Triaged: No Found in Releases:  

Bugzilla link: 2175132 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9613,

https://github.com/theforeman/foreman/p

ull/9968

  

Description

Setting which controls how the host is saved in the database results in the inability to control whether the host form displays the

host's FQDN or just name. It also results in issues when Ansible creates duplicate hosts.

https://community.theforeman.org/t/running-ansible-roles-creates-duplicate-hosts/13234

Related issues:

Related to Foreman Remote Execution - Bug #36982: Missing REX Plugin related ... Closed

Associated revisions

Revision a406cf2b - 10/09/2023 09:42 AM - Matěj Mudra

fixes #36160 - Redefine append domain names setting

This PR aims to unify the format of host names stored in the database and the way they are displayed.

With this change, the name of the host is always going to be stored with the domain name appended.

The setting formerly named `append_domain_name_for_hosts` is now renamed to `display_fqdn_for_hosts`

because it will only impact how the names are displayed from now.

This means dashboards and breadcrumbs are going to display the whole FQDN if you choose to.

Revision c1096913 - 01/11/2024 09:29 AM - Nofar Alfassi

Fixes #36160 - add display_name field to Host GraphQL type

History

#1 - 03/07/2023 07:44 AM - The Foreman Bot

- Status changed from New to Ready For Testing

#2 - 10/09/2023 09:42 AM - The Foreman Bot

- Fixed in Releases 3.9.0 added

#3 - 10/09/2023 10:00 AM - Matěj Mudra

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|a406cf2b64ebe36ce2cd72fd3fc59e45f956fb62.

#4 - 12/13/2023 12:13 PM - Nofar Alfassi

- Related to Bug #36982: Missing REX Plugin related changes when display_fqdn_for_hosts is disabled added

#5 - 01/02/2024 04:10 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/9968 added
https://community.theforeman.org/t/running-ansible-roles-creates-duplicate-hosts/13234
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/a406cf2b64ebe36ce2cd72fd3fc59e45f956fb62


#6 - 01/11/2024 09:29 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added
